`lqr_carver_destroy`
Prev | Carver objects | Next

## Name

lqr_carver_destroy — the `LqrCarver` object destructor

## Synopsis

    #include <lqr.h>

`void lqr_carver_destroy(` | LqrCarver* carver`)`;

## Description

The function `lqr_carver_destroy` destroys the `LqrCarver` object pointed to by `carver`, and all of its attched components (visibility maps and attached carvers). It must never be invoked over a carver which is attached to another one.

This function will not release the memory buffer passed to `lqr_carver_new`(3) if it was protected by calling `lqr_carver_set_preserve_input_image`(3).

## See also

`lqr_carver_new`(3), `lqr_carver_set_preserve_input_image`(3), `lqr_vmap_destroy`(3)

Prev | Up | Next
`lqr_carver_new` | Home | `lqr_carver_init`